# MSP::CCSThreadLock Class Reference

`#include <CCSThreadLock.h>`

List of all members.

## Public Member Functions

| CCSThreadLock (const CCSThreadMutex *mutex)
| Default Constructor.
| ~CCSThreadLock ()
| Destructor.

## Detailed Description

Definition at line 15 of file CCSThreadLock.h.

## Constructor & Destructor Documentation

CCSThreadLock::CCSThreadLock | ( | const CCSThreadMutex * | mutex | ) |

Default Constructor.

Definition at line 8 of file CCSThreadLock.cpp.

CCSThreadLock::~CCSThreadLock | ( |  | ) |

Destructor.

Definition at line 14 of file CCSThreadLock.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/threads/CCSThreadLock.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/threads/CCSThreadLock.cpp